from typing import Any, Dict, List, Type, TypeVar, Union

import attr

from ..types import UNSET, Unset

EN = TypeVar("EN", bound="Mesh")


@attr.s(auto_attribs=True)
class Mesh:
    mesh: Union[Unset, str] = UNSET

    additional_properties: Dict[str, Any] = attr.ib(init=False, factory=dict)

    def to_dict(self) -> Dict[str, Any]:
        mesh = self.mesh

        field_dict: Dict[str, Any] = {}
        field_dict.update(self.additional_properties)
        field_dict.update({})
        if mesh is not UNSET:
            field_dict["mesh"] = mesh

        return field_dict

    @classmethod
    def from_dict(cls: Type[EN], src_dict: Dict[str, Any]) -> EN:
        d = src_dict.copy()
        mesh = d.pop("mesh", UNSET)

        mesh = cls(
            mesh=mesh,
        )

        mesh.additional_properties = d
        return mesh

    @property
    def additional_keys(self) -> List[str]:
        return list(self.additional_properties.keys())

    def __getitem__(self, key: str) -> Any:
        return self.additional_properties[key]

    def __setitem__(self, key: str, value: Any) -> None:
        self.additional_properties[key] = value

    def __delitem__(self, key: str) -> None:
        del self.additional_properties[key]

    def __contains__(self, key: str) -> bool:
        return key in self.additional_properties
